"use strict";
(function ($) {
    $.view_list_smscontent = function (element, options) {
        let defaults = {
            row_smscontent_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('#example').DataTable({
                drawCallback: function () {
                    $element.find('input[type="checkbox"]').iCheck({
                        checkboxClass: 'icheckbox_square-red',
                        radioClass: 'iradio_square-red',
                        increaseArea: '10%'
                    });
                }
            });
            $element.find('input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_square-red',
                radioClass: 'iradio_square-red',
                increaseArea: '20%'
            });

        };
        plugin.example_function = function () {
        };
        plugin.init();
    };
    $.fn.view_list_smscontent = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_smscontent')) {
                let plugin = new $.view_list_smscontent(this, options);
                $(this).data('view_list_smscontent', plugin);
            }
        });
    }
})(jQuery);
